Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List comments

Retrieve the list of comments sorted by the recent ones on the top.

If you want to retrieve the list of comments for an entity, for example, subscription you can filter them by passing the entity type and unique identifier for that entity, for example, subscription ID.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/comments

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

entity_type
optional, enumerated string

Type of the entity this comment generated for.

Enum Values
customer
subscription
invoice
quote
credit_note
entity_id
optional, string, max chars=100

Unique identifier of the entity.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : created_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "created_at"

This will sort the result based on the 'created_at' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
created_at[<operator>]

optional, timestamp(UTC) in seconds filter

The time at which this comment was created. Supported operators : after, before, on, between

Example → created_at[on] = "1456332678"

Supported operators: after, before, on, between
Example 1456332678

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Comment object
Resource object representing comment